package com.example.bywin.cloud.server.dynamic.datasource.example;

import com.bywin.cloud.boot.annatation.BywinCloudRest;
import com.example.bywin.cloud.server.dynamic.datasource.example.biz.TbExampleBiz;
import com.example.bywin.cloud.server.dynamic.datasource.example.mapper.TbExampleMapper;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;

/**
 * 动态数据源，使用com.baomidou:dynamic-datasource-spring-boot3-starter:4.1.1
 *
 * @author xie40
 * create time: 2023-07-18 15:27
 */
@BywinCloudRest("/dynamic-datasource")
@Tag(name = "动态数据源")
@RequiredArgsConstructor
public class DynamicDatasourceExample {

    private final TbExampleBiz tbExampleBiz;


    /**
     * @see TbExampleMapper
     */
    @Operation(summary = "动态数据源表行数统计")
    @GetMapping("/tb-example")
    public long db1() {
        return tbExampleBiz.count();
    }
}
