package com.example.bywin.cloud.server.example.access;

import com.bywin.cloud.boot.annatation.BywinCloudRest;
import com.bywin.cloud.security.core.access.RequiredBywinCloudPermissions;
import com.bywin.cloud.security.core.access.RequiredBywinCloudRoles;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.Data;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

/**
 * 权限测试
 *
 * @author xie40
 * create time: 2023-06-06 14:09
 */
@SuppressWarnings("SpringMVCViewInspection")
@Data
@BywinCloudRest(value = "/access")
@Tag(name = "权限访问测试")
public class RolePermissionExampleApi {


    /**
     * <a href="http://localhost:10001/access/user/1">权限注解测试,需要求权限：myapp:access:query</a>
     */
    @GetMapping("/user/{id}")
    @RequiredBywinCloudPermissions("myapp:access:query")
    public String queryById(@PathVariable("id") Long id) {
        return "Successfully accessed, user id: " + id;
    }

    /**
     * <a href="http://localhost:10001/access/admin">角色注解测试，需要角色：myapp:admin</a>
     */
    @GetMapping("/admin")
    @RequiredBywinCloudRoles("myapp:admin")
    public String admin() {
        return "welcome! admin";
    }
}
