package com.example.bywin.cloud.server.example.client;

import com.bywin.cloud.boot.annatation.BywinCloudRest;
import com.bywin.cloud.client.services.clients.approval.BywinCloudApprovalClient;
import com.bywin.cloud.client.services.clients.approval.request.ActApprovalTodoRequest;
import com.bywin.cloud.web.response.BywinCloudResponse;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@Slf4j
@Tag(name = "事务中心 example api")
@BywinCloudRest(value = "/")
@RequiredArgsConstructor
public class ApprovalClientExample {
    private final BywinCloudApprovalClient approvalClient;

    /**
     * 新增代办
     * @param request
     * @return
     */
    @PostMapping("/approval/todo/add")
    BywinCloudResponse<String> todoAdd(@RequestBody ActApprovalTodoRequest request){
        //{
        //    "taskName": "管理员审批",
        //        "approvalUrl": "http://192.168.0.135:8101/pcldata-auth/auth/casCallback?menuPath=/DataDevelop/DataSourceManage",
        //        "procDefName": "测试流程",
        //        "assignee": "admin",
        //        "createTime": "2023-05-03 12:32:12",
        //        "processInstanceId": "f6e6fa4d-21e5-466b-9d9f-3ebd3228378e",
        //        "endTime": "2023-05-04 12:32:12",
        //        "startUserName": "admin",
        //        "approvalTerminal": "pc,mobile",
        //        "approvalListUrl": "http://192.168.0.135:8101/pcldata-auth/auth/casCallback?menuPath=/DataDevelop/DataSourceManage"
        //}

        return approvalClient.todoAdd(request);
    }

    /**
     * 更新代办
     * @param request
     * @return
     */
    @PostMapping("/approval/todo/update")
    BywinCloudResponse<Void> todoUpdate(@RequestBody ActApprovalTodoRequest request){
        //{
        //    "messageId": 101,
        //        "taskName": "管理员审批",
        //        "approvalUrl": "http://192.168.0.135:8101/pcldata-auth/auth/casCallback?menuPath=/DataDevelop/DataSourceManage",
        //        "procDefName": "测试流程",
        //        "assignee": "admin",
        //        "createTime": "2023-05-03 12:32:12",
        //        "processInstanceId": "f6e6fa4d-21e5-466b-9d9f-3ebd3228378e",
        //        "endTime": "2023-05-04 12:32:12",
        //        "startUserName": "admin",
        //        "approvalTerminal": "pc,mobile",
        //        "approvalListUrl": "http://192.168.0.135:8101/pcldata-auth/auth/casCallback?menuPath=/DataDevelop/DataSourceManage"
        //}

        return approvalClient.todoUpdate(request);
    }

    /**
     * 删除代办
     * @param request
     * @return
     */
    @PostMapping("/approval/todo/remove")
    BywinCloudResponse<Void> todoRemove(@RequestBody ActApprovalTodoRequest request){
        //{
        //    "messageId":"101"
        //}

        return approvalClient.todoRemove(request);
    }

    /**
     * 新增或更新流程实例
     * @param request
     * @return
     */
    @PostMapping("/approval/process/update")
    BywinCloudResponse<Void> processUpdate(@RequestBody ActApprovalTodoRequest request){
        //{
        //    "processInstanceId": "f6e6fa4d-21e5-466b-9d9f-3ebd3228378e",
        //        "status": 2,
        //        "endTime": "2023-05-04 12:32:12",
        //        "startUserName": "admin",
        //        "delFlag": 0
        //}

        return approvalClient.processUpdate(request);
    }
}
