package com.example.bywin.cloud.server.example.desensitize.dto;

import com.bywin.cloud.entity.standard.desensitize.Desensitize;
import com.bywin.cloud.entity.standard.desensitize.DesensitizedType;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;

/**
 * @author xie40
 * create time: 2023-08-29 11:25
 */
@Data
@Schema(title = "数据脱敏示例")
public class DesensitizeExample implements Serializable {

    @Desensitize(type = DesensitizedType.CHINESE_NAME)
    @Schema(title = "中文名")
    private String chineseName;


    @Desensitize(type = DesensitizedType.ID_CARD)
    @Schema(title = "身份证")
    private String idCard;

    @Desensitize(type = DesensitizedType.FIXED_PHONE)
    @Schema(title = "座机")
    private String fiexedPhone;

    @Desensitize(type = DesensitizedType.MOBILE_PHONE)
    @Schema(title = "手机")
    private String mobilePhone;


    @Desensitize(type = DesensitizedType.ADDRESS)
    @Schema(title = "地址")
    private String address;


    @Desensitize(type = DesensitizedType.EMAIL)
    @Schema(title = "邮箱")
    private String email;


    @Desensitize(type = DesensitizedType.PASSWORD)
    @Schema(title = "密码")
    private String password;


    @Desensitize(type = DesensitizedType.CAR_LICENSE)
    @Schema(title = "车牌")
    private String carLicense;


    @Desensitize(type = DesensitizedType.BANK_CARD)
    @Schema(title = "银行卡")
    private String bankCard;
}
