package com.example.bywin.cloud.server.example.exception;

import com.bywin.cloud.boot.annatation.BywinCloudRest;
import com.bywin.cloud.exception.BywinCloudRuntimeException;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.GetMapping;

/**
 * 异常测试api
 * <a href="http://localhost:10000/ex/unknown">未知错误异常测试</a>
 *
 * @author xie40
 * create time: 2023-06-08 15:24
 */
@BywinCloudRest("/ex")
@Tag(name = "异常测试")
public class ThrowExampleApi {

    @Operation(summary = "未知异常测试")
    @GetMapping("/unknown")
    public void unknown() throws Exception {
        throw new Exception("unknown");
    }


    @Operation(summary = "通用业务异常")
    @GetMapping("/bywin-cloud-runtime-exception")
    public void bywinCloudRuntimeException() {
        throw new BywinCloudRuntimeException("BywinCloudRuntimeException异常测试");
    }

    @Operation(summary = "自定义异常")
    @GetMapping("/my-exception")
    public void myException() {
        throw new MyException();
    }
}
