package com.example.bywin.cloud.server.example.modules.usermanager.api;

import com.bywin.cloud.boot.annatation.BywinCloudRest;
import com.example.bywin.cloud.server.example.modules.usermanager.biz.ExampleUserManager;
import com.example.bywin.cloud.server.example.modules.usermanager.response.ExampleUserSimpleInfo;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.enums.ParameterIn;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

/**
 * @author xie40
 * create time: 2023-06-29 16:02
 */
@Tag(name = "用户管理模块示例")
@BywinCloudRest("/simple-users")
@RequiredArgsConstructor
public class SimpleExampleUserInfoApi {

    private final ExampleUserManager exampleUserManager;

    @GetMapping("/{userId}")
    @Operation(summary = "根据用户id查询简单用户信息")
    public ExampleUserSimpleInfo getUserSimpleInfo(
            @Parameter(in = ParameterIn.PATH, description = "用户id")
            @PathVariable("userId") Long userId) {
        return exampleUserManager.getUserSimpleInfo(userId);
    }

}
