package com.example.bywin.cloud.server.example.modules.usermanager.request;

import com.example.bywin.cloud.server.example.modules.usermanager.tb.ExampleUser;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;

/**
 * 用户创建请求
 *
 * @author xie40
 * create time: 2023-06-29 16:08
 */
@Data
@Schema(title = "用户创建请求")
public class CreateUserRequest {

    @NotBlank(message = "用户名不能为空")
    @Schema(title = "用户名")
    private String username;

    @Schema(title = "部门id")
    private Long deptId;

    public ExampleUser toExampleUser() {

        ExampleUser user = new ExampleUser();

        user.setUsername(username);
        user.setDeptId(deptId);

        return user;


    }
}


