package com.example.bywin.cloud.server.example.modules.usermanager.tb;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.bywin.cloud.entity.impl.mybatis.plus.db.AutoIncrIdTable;
import com.bywin.cloud.security.core.datascope.IBywinCloudData;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import lombok.*;

import java.util.Date;

/**
 * @author xie40
 * create time: 2023-06-08 16:34
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Schema(title = "example user")
@TableName("example_user")
public class ExampleUser extends AutoIncrIdTable implements IBywinCloudData {

    @NotBlank(message = "用户名不能为空")
    @Schema(title = "用户名")
    @TableField
    private String username;

    @Schema(title = "部门id")
    @TableField
    private Long deptId;

    @Override
    public String getOwner() {
        return getCreateBy();
    }

    @TableField
    private Date expireTime;

}
