package com.example.bywin.cloud.server.example.requestlog;

import com.bywin.cloud.boot.annatation.BywinCloudRest;
import com.bywin.cloud.log.annotations.BywinCloudRequestLog;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

/**
 * 请求日志
 *
 * @author xie40
 * create time: 2023-07-13 15:57
 */
@BywinCloudRest("/request-log")
@Tag(name = "请求日志")
public class RequestLogApiExample {

    @BywinCloudRequestLog(title = "日志测试")
    @Operation(summary = "日志测试")
    @GetMapping("/example/{arg1}/{arg2}")
    public String[] example1(@PathVariable("arg1") String arg1, @PathVariable("arg2") String arg2) {
        return new String[]{arg1, arg2};
    }

}
