package com.example.bywin.cloud.server.workflow.example.api;

import com.bywin.cloud.boot.annatation.BywinCloudRest;
import com.bywin.cloud.entity.standard.page.IPageData;
import com.bywin.cloud.web.response.BywinCloudResponse;
import com.example.bywin.cloud.server.workflow.example.repository.LeaveApplyService;
import com.example.bywin.cloud.server.workflow.example.tb.LeaveApply;
import com.example.bywin.cloud.server.workflow.example.tb.LeaveApplySearchParams;
import io.swagger.v3.oas.annotations.tags.Tag;
import jakarta.validation.Valid;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

@Slf4j
@Tag(name = "请假申请")
@BywinCloudRest(value = "/workFlow/example")
@RequiredArgsConstructor
public class LeaveApplyController {
    private final LeaveApplyService leaveApplyService;

    @GetMapping("/list")
    public IPageData<?> list(@Valid LeaveApplySearchParams params) {
        return leaveApplyService.queryPage(params);
    }

    @PostMapping
    public BywinCloudResponse<?> add(@RequestBody LeaveApply params) {
        leaveApplyService.add(params);

        return BywinCloudResponse.ok("操作成功");
    }

    @PutMapping
    public BywinCloudResponse<?> update(@RequestBody LeaveApply params) {
        leaveApplyService.update(params);

        return BywinCloudResponse.ok("操作成功");
    }

    @GetMapping("/{id}")
    public BywinCloudResponse<?> getInfo(@PathVariable Long id) {
        return BywinCloudResponse.ok(leaveApplyService.getInfo(id));
    }

    @DeleteMapping
    public BywinCloudResponse<?> delete(@RequestBody Long[] ids) {
        leaveApplyService.delete(ids);
        return BywinCloudResponse.ok("操作成功");
    }
}
