package com.example.bywin.cloud.server.workflow.example.constants;

public enum FlowList {
    /**
     * 流程列表类型
     * 0: 我发起的
     * 1：待办
     * 2：已办
     * 3：关于我
     * 4：所有
     */
    WO_START("0"),
    DAI_BAN("1"),
    YI_BAN("2"),
    GY_WO("3"),
    ALL("4"),
    HISTORY("-9"),
    EMPTY("-1");


    private final String code;

    FlowList(String code) {
        this.code = code;
    }

    public String getCode() {
        return code;
    }

    public String getValue() {
        return code;
    }

    public static FlowList matchOpCode(String opCodeStr) {
        for (FlowList opCode : FlowList.values()) {
            if (opCode.getCode().equalsIgnoreCase(opCodeStr)) {
                return opCode;
            }
        }
        return FlowList.EMPTY;
    }
}