package com.example.bywin.cloud.server.workflow.example.tb;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.bywin.cloud.client.services.clients.workflow.request.TaskActionRequest;
import com.bywin.cloud.client.services.clients.workflow.response.TaskAuthority;
import com.bywin.cloud.entity.impl.mybatis.plus.db.AutoIncrIdTable;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import lombok.*;


@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(title = "请假申请")
@TableName("leave_apply")
public class LeaveApply extends AutoIncrIdTable {

    @NotBlank(message = "用户名不能为空")
    @Schema(title = "用户名")
    private String userName;

    @Schema(title = "部门id")
    private Long deptId;

    @Schema(title = "流程实例id")
    private String processInstanceId;
    @Schema(title = "任务id")
    private String taskId;
    @Schema(title = "节点名称")
    private String taskName;
    @Schema(title = "候选人员")
    private String candidateUser;
    @Schema(title = "候选角色")
    private String candidateRole;

    /**
     * 流程节点权限
     */
    @TableField(exist = false)
    private TaskAuthority authority;

    /**
     * 审批参数
     */
    @TableField(exist = false)
    private TaskActionRequest processParam;
}
