# 1.前置准备

## 1.1 本地配置 hosts

```hosts
# 本地docker host 2375端口用于构建镜像，或者转发内网docker host：192.168.100.67:2375到本地
127.0.0.1 docker-host-fz-yfzx.bywin.cn
# harbor 服务，13029端口镜像仓库，内网地址为：192.168.100.71
112.5.142.51 harbor-fz-yfzx.bywin.cn
```

```
注意：如果是使用本地docker 2375端口构建镜像

本地docker的daemon.json
配置"insecure-registries"信任harbor域名端口（harbor-fz-yfzx.bywin.cn:13029)

如果遇到无法推送镜像， 清除本地 ~/.docker/config.json 下面“auths”跟域名相关的缓存配置再试试
```

## 1.2 配置harbor server账号密码

向运维管理人员索要对应仓库账号以及项目机器人账号，配置 ~/.m2/settings.xml 或者idea指定相关配置

参考 /bywin-cloud3/require/.m2/settings.xml

```xml
        <server>
            <id>harbor-fz-yfzx-bywin-cn-13029</id>
            <username>harbor仓库账号</username>
            <password>harbor仓库密码</password>
        </server>
```

#### 1.2.1 附录：harbor 仓库项目账号对应关系


| 项目                            | harbor项目         | 适用人员                                              |
| --------------------------------- |------------------| ------------------------------------------------------- |
| 平台产品（生产环境）            | bywin-cloud3     | 半云教育产品组（技术管理、运维）                      |
| 业务（生产环境）                | bywin-cloud-fzu  | 福大业务项目组（业务系统开发人员/外包技术管理、运维） |
| 平台/业务产品（开发、测试环境） | dev-bywin-cluod3 | 相关技术人可加入                                      |

## 1.3 kubesphere创建 harbor 机器人秘钥(仅创建一次，用于K8s拉取镜像)

秘钥名: harbor-fzyfzx

![harbor secret](img/harbor secret.png)

![create sescret](img/create-secret1.png)

![create secret2](img/create secret2.png)

# 2.推送镜像

**注意：执行插件前，由于推送镜像会记录当前代码的提交id，必须把项目设置为git仓库，并且commit一次**

![git init](img/git init.png)

## 2.1使用 idea 插件方式

（profiles 勾选prod，或者不勾选（默认prod）,测试环境14021）

![image-20230724155742657](img/build-push-image.png)

## 2.2命令行

```shell
mvn bywin-cloud:buid-push-image
```

#### plus: 生产首次部署，获取deployment文件的方式：

找到/target/profiles/k8s/deployment.yml，注意查看文件image是否生成正确在apply到生产环境

![k8s-deployment](img/deployment.png)

# 3.kubesphere 平台首次部署

## 3.1创建k8s工作负载(deployment)

![create deployment](img/create deployment.png)

## 3.2把target/profiles/k8s.yml粘贴到里面创建即可

![](img/edit k8s.png)

# 4.再次部署

下次部署，只要推送镜像，重新重建工作负载即可

![redeploy](img/redeploy.png)

# 5.测试访问：

```域名:端口/api/服务前缀/接口路径```
测试环境：bywin:14021/api/服务前缀/接口路径