# 后端服务访问方式

## 1.**本地**：

直接访问`localhost:服务端口/接口路径`即可

Eg: localhost:10001/doc.html

## 2.**测试/生产环境**：

如果你的服务需要对外暴露可以选择`1.Spring Cloud Gateway 代理模式`

如果服务仅内网访问可以使用`2.k8s service模式`，再使用tabby 转发到本地访问测试

### 2.1.Spring Cloud Gateway 代理模式

![gateway config](img/gateway config.png)

![gateway proxy config](img/gateway proxy config.png)

**访问地址：**`一站式访问入口ip:端口/api/服务前缀`

Eg（测试环境）: http://112.5.142.51:14021/api/msg/ping 

### 2.2.k8s service模式(仅适用于测试环境，生产环境禁止内网穿透)

流程：

1.在测试k8s 创建对应后端的service

2.使用tabby将service转发到本地

操作如下：

![k8s service](img/k8s services.png)

![new service](img/new service.png)

![select pod](img/select pod.png)

![copy dns](img/copy dns.png)

**（注意：下面的转发端口，本地端口避免冲突，比如你本地已经启动10001端口，可以转发到10002测试）**

![tabby proxy service](img/tabby proxy service.png)

![proxy service1](img/proxy service1.png)

![localhost10001](img/localhost10001.png)