## 各运行环境可能会涉及到一下参数改动：

`spring.cloud.nacos.discovery.namespace`（服务注册命名空间，环境SPRING_CLOUD_NACOS_DISCOVERY_NAMESPACE）

`spring.cloud.nacos.config.namespace`

（服务配置命名空间：d4ebad5e-44fc-429a-a446-1e7a100ef359，

环境变量：SPRING_CLOUD_NACOS_CONFIG_NAMESPACE）

`spring.profiles.active`

（配置文件激活， 环境变量：SPRING_PROFILES_ACTIVE）

下图是运行参数对照表，配置不建议写死在 bootstrap 配置，如果要修改建议从jvm启动参数注入，如果在bootstrap 文件是默认值就不用注入了

![run config](img/config run info.png)

## 原则：

### 服务：

必须注册在同一服务命名空间下才能互相调用，

生产测试环境注册在默认命名空间，本地服务禁止注册在默认命名空间。

### 配置：

平台服务固定用：d4ebad5e-44fc-429a-a446-1e7a100ef359，active: hnnz

业务服务可选.

## 本地运行启动示例

![jvm opts](img/jvm opts.png)

Tip：本地也可以直接配环境变量

## 测试/生产环境变量覆盖示例(k8s yml)：

![k8s env config](img/k8s env config.png)
